#!/bin/bash

dirname=$(dirname $0)

. ${dirname}/fhgfs_setup.defaults


function write_config() {
   host=$1
   clientMount=$(grep clientMount ${confdir}/config | cut -d "=" -f 2)
   cmd="echo \"${clientMount} /etc/fhgfs/fhgfs-client.conf\" > /etc/fhgfs/fhgfs-mounts.conf"
   eval ssh $sshParameter ${host} \"$cmd\"
}

if [ "$1" = "" ];then exit 1;fi

write_config $1
if [ $? -ne 0 ];then exit 1;fi
